from entities import *


# L4: Function.

def memory_generateConstPlayfield(
  c: MemoryContext
) -> str:
  idGroups: dict[int, int] = { }
  id = 0
  for gid in range(0, c.playfieldSize):
    idGroups[id] = gid
    id += 1
    idGroups[id] = gid
    id += 1
  #}
  c.playfieldItems = idGroups
  return "MemoryContext.playfieldItems"
#}

# L20: Test.

def test_memory_generateConstPlayfield(
) -> str:
  c = memory_createEmptyContext()
  c.playfieldSize = 2
  fieldName = memory_generateConstPlayfield(c)
  if (
    fieldName == "MemoryContext.playfieldItems" and
    len(c.playfieldItems) == 4 and
    c.playfieldItems[0] == 0 and
    c.playfieldItems[1] == 0 and
    c.playfieldItems[2] == 1 and
    c.playfieldItems[3] == 1
  ):
    return "OK: memory_generateConstPlayfield"
  #}
  return "ERR: memory_generateConstPlayfield"
#}
